package cn.com.countrygarden.bi.main.dao.sys;

import cn.com.countrygarden.bi.main.core.Mapper;
import cn.com.countrygarden.bi.main.model.sys.UserRoles;
import org.apache.ibatis.annotations.Param;

import java.util.List;


public interface UserRolesMapper extends Mapper<UserRoles> {
    List<UserRoles> searchByUserCodes(@Param("roleCode") String roleCode,@Param("userCodes") List<String> userCodes);
    List<UserRoles> searchByUserCode(@Param("userCode")String userCode);

    List<String> selectperformanceCenter();
    List<String> selectUserCodes(@Param("roleCode") String roleCode);

    Integer countByUserCodeAndoleCode(@Param("userCode") String userCode,@Param("roleCode") String roleCode);
}